<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.subscribe.PaymentSuccessActivity">

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_payment_success_continue"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_alignParentBottom="true"
        android:layout_marginHorizontal="@dimen/dp_16"
        android:text="@string/tracker_activate"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />


    <include
        android:id="@+id/il_payment_success_bluetooth_tips"
        layout="@layout/layout_ble_connect_state"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@id/btn_payment_success_continue"
        android:layout_centerHorizontal="true" />

    <include
        android:id="@+id/il_payment_success_count_down_layout"
        layout="@layout/layout_subscribe_count_down"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/btn_payment_success_continue"
        android:layout_marginHorizontal="@dimen/dp_42"
        android:layout_marginBottom="@dimen/dp_50" />


    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_payment_success_expires_on_title"
        style="@style/my_TextView_style_v2"
        android:layout_above="@id/il_payment_success_count_down_layout"
        android:layout_alignStart="@id/il_payment_success_count_down_layout"
        android:layout_marginBottom="@dimen/dp_18"
        android:text="@string/txt_expires_on"
        android:textSize="@dimen/textSize16"
        android:textStyle="bold" />


    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_payment_success_expires_on_date"
        style="@style/my_TextView_style_v2"
        android:layout_alignTop="@id/tv_payment_success_expires_on_title"
        android:layout_alignEnd="@id/il_payment_success_count_down_layout"
        android:layout_alignBottom="@id/tv_payment_success_expires_on_title"
        android:text="00"
        android:textSize="@dimen/textSize14"
        app:typeface="@string/roboto_regular_font" />

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_1"
        android:layout_above="@id/tv_payment_success_expires_on_title"
        android:layout_alignStart="@id/tv_payment_success_expires_on_title"
        android:layout_alignEnd="@id/tv_payment_success_expires_on_date"
        android:layout_marginBottom="@dimen/dp_24"
        android:background="@color/block_color" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_payment_success_device_number"
        style="@style/my_TextView_style_v2"
        android:layout_above="@id/tv_payment_success_expires_on_title"
        android:layout_alignStart="@id/il_payment_success_count_down_layout"
        android:layout_marginBottom="@dimen/dp_42"
        android:text="@string/txt_device_number"
        android:textSize="@dimen/textSize16"
        android:textStyle="bold" />


    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_payment_success_device_id"
        style="@style/my_TextView_style_v2"
        android:layout_alignTop="@id/tv_payment_success_device_number"
        android:layout_alignEnd="@id/il_payment_success_count_down_layout"
        android:layout_alignBottom="@id/tv_payment_success_device_number"
        android:text="@string/txt_device_number"
        android:textSize="@dimen/textSize14"
        app:typeface="@string/roboto_regular_font" />


    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_payment_success_activate_tip"
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_above="@id/tv_payment_success_device_number"
        android:layout_alignStart="@id/il_payment_success_count_down_layout"
        android:layout_alignEnd="@id/il_payment_success_count_down_layout"
        android:layout_marginBottom="@dimen/dp_18"
        android:text="@string/txt_activated_tips"
        android:textSize="@dimen/textSize14"
        app:lineHeight="@dimen/textSize20"
        app:typeface="@string/roboto_regular_font" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_payment_success_tip"
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_above="@id/tv_payment_success_activate_tip"
        android:layout_marginBottom="@dimen/dp_6"
        android:text="@string/txt_active_subscribed"
        android:textSize="@dimen/textSize32"
        android:textStyle="bold"
        app:lineHeight="@dimen/textSize40" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_payment_success_anim"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@id/tv_payment_success_tip"
        android:layout_alignParentTop="true"
        android:layout_marginHorizontal="@dimen/dp_20"
        android:layout_marginTop="@dimen/dp_18" />

</RelativeLayout>